Bug 214067 - various applications looses their default applications
various applications looses their default applications
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-05 06:43 EST by Kevin Verma
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-14 17:13:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jpg file error nautilus (17.40 KB, image/png)
2006-11-05 06:43 EST, Kevin Verma
no flags Details
png file error msg nautilus (16.88 KB, image/png)
2006-11-05 06:45 EST, Kevin Verma
no flags Details
pdf error msg nautilus (17.87 KB, image/png)
2006-11-05 06:46 EST, Kevin Verma
no flags Details

  None (edit)
Description Kevin Verma 2006-11-05 06:43:57 EST
Description of problem:
This is reproducng since fc5 for me, where various applications espacially PDF
and images type shows application association problems with nautilus.

I tried to remeove various mime related config files but this never got
permanently helped. The issue seems to start to re-produced always

Version-Release number of selected component (if applicable):
nautilus-2.16.0-5.fc6

How reproducible:
always 

Steps to Reproduce:
1. click on applications of various file/mime types 
  
Actual results:
files will not open unless do a right click and mention an application

Expected results:
this should not bother me so much. 

Additional info:
attached images of errors, more infomation and debug will be happily provided as
guided for.
Comment 1 Kevin Verma 2006-11-05 06:43:57 EST
Created attachment 140382 [details]
jpg file error nautilus
Comment 2 Kevin Verma 2006-11-05 06:45:20 EST
Created attachment 140383 [details]
png file error msg nautilus
Comment 3 Kevin Verma 2006-11-05 06:46:07 EST
Created attachment 140384 [details]
pdf error msg nautilus
Comment 4 Alexander Larsson 2006-11-08 09:32:56 EST
possibly a dup of 212764, does "update-mime-database /usr/share/mime" as root
fix it?
Comment 5 Kevin Verma 2006-11-08 14:18:43 EST
(In reply to comment #4)
> possibly a dup of 212764, does "update-mime-database /usr/share/mime" as root
> fix it?
> 

I tried the suggested workaround, but this did not helped. What is the best
preocedure to ensure that the files in $USER $HOME are also updated or which ones
to manually remove in $HOME to test ensure further
Comment 6 Alexander Larsson 2006-11-09 04:44:05 EST
I'm not sure what you mean.
Comment 7 Kevin Verma 2006-11-09 05:30:13 EST
(In reply to comment #6)
> I'm not sure what you mean.
> 

Alex, I mean that what files in a users home directory I should also remove or
update to ensure that the system wide configuration is in effect and is working
fine, e.g: 

./.local/share/mime
./.local/share/mime/mime.cache
./.local/share/applications/mimeinfo.cache
Comment 8 Alexander Larsson 2006-11-10 03:52:20 EST
Ah, removing everying in .local/share/mime (or temporarily moving it) should be
enough.
Comment 9 Per Uddén 2006-11-13 09:55:21 EST
I have problem with ooo documents default action mime type.
Nutilus update correctly when icon isn't selected.
When it's selected the mime type change to application/x-java-archive
and default action doesn't work.
Comment 10 Kevin Verma 2006-11-28 16:17:59 EST
I had been migarating my office setup from RHEL4 to FC6 on a newly assigned
system and this issue reprodued. I tried above discuessed workarouds and
"update-mime-database /usr/share/mime" helped. 

But I realized that the issue effected all users system wide, even one of the
users data was moved on to this new setup from another FC6, 

where this issue re-produced after installing google-earth, I believe this to be
"NotABug"
Comment 11 Alexander Larsson 2006-11-29 04:03:27 EST
Are you saying you believe google-earth caused this problem?
Comment 12 Kevin Verma 2006-12-22 09:25:48 EST
(In reply to comment #11)
> Are you saying you believe google-earth caused this problem?
> 

Alex,

Sorry for a late response, yes I believe google-earth caused this issue, however
I could not deliberatly re-repoduce this issue again yet. 

Note You need to log in before you can comment on or make changes to this bug.